> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Application: ResMan

POST https://api.propexo.com/v1/applications/resman/
Content-Type: application/json

Create Application: ResMan. Note: When reading in the newly created application we cannot filter by the application\_id, so we must pull in all residents and applicants to save the newly created application.This may result in an increase in the total number of records processed| Interface         | Method                         |
| ----------------- | ------------------------------ |
| Lead Management   | /MITS/PostLeadManagement4\_0   |
| Lease Application | /MITS/PostLeaseApplication3\_0 |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/resman/applications/create-application-res-man

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_applications_resman__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `lead_source_id` (string, required) — The Propexo unique identifier for the lead source
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `application_date` (V1ApplicationsResmanPostInputApplicationDate, required) — The application date associated with the applicant
- `start_date` (V1ApplicationsResmanPostInputStartDate, required) — The start date associated with the lease
- `end_date` (V1ApplicationsResmanPostInputEndDate, required) — The end date associated with the lease
- `status` (enum, required) — The status associated with the application
  - Allowed values: `PENDING`, `APPROVED`, `CANCELED`, `DENIED`, `SIGNED`
- `first_name` (string, required) — The first name associated with the applicant
- `last_name` (string, required) — The last name associated with the applicant
- `email_1` (string, optional) — The primary email address associated with the applicant
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `date_of_birth` (V1ApplicationsResmanPostInputDateOfBirth, optional) — The date of birth associated with the applicant
- `address_1` (string, optional) — The first address line associated with the applicant
- `address_2` (string, optional) — The second address line associated with the applicant
- `city` (string, optional) — The city associated with the applicant
- `state` (string, optional) — The state associated with the applicant
- `zip` (string, optional) — The zip code associated with the applicant
- `notes` (string, optional) — Notes associated with the applicant
- `move_in_date` (V1ApplicationsResmanPostInputMoveInDate, optional) — The move-in date associated with the applicant
- `rent_amount_in_cents` (integer, optional) — The rent amount in cents for the applicant
- `desired_lease_term_in_months` (double, optional) — The amount of months for the lease term
- `floor_plan_id` (string, optional) — The Propexo unique identifier for the floor plan
- `other_occupants` (list of V1ApplicationsResmanPostInputOtherOccupantsItems, optional) — A list of other occupants for the application
- `emergency_contacts` (list of V1ApplicationsResmanPostInputEmergencyContactsItems, optional) — A list of emergency contacts for the applicant. Note: This will only be added to the primary applicant on the application.
- `employment_history` (list of V1ApplicationsResmanPostInputEmploymentHistoryItems, optional) — The employment history of the applicant. Note: This will only be added to the primary applicant on the application. Only entries with both income_in_cents and frequency will be included.
- `vehicles` (list of V1ApplicationsResmanPostInputVehiclesItems, optional) — A list of vehicles for the application
- `pets` (list of V1ApplicationsResmanPostInputPetsItems, optional) — A list of applicant pets

## Response

### 200

Successful response

- `meta` (V1ApplicationsResmanPostOutputMeta, required)
- `result` (V1ApplicationsResmanPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ApplicationsResmanPostInputApplicationDate

The application date associated with the applicant

### V1ApplicationsResmanPostInputStartDate

The start date associated with the lease

### V1ApplicationsResmanPostInputEndDate

The end date associated with the lease

### V1ApplicationsResmanPostInputDateOfBirth

The date of birth associated with the applicant

### V1ApplicationsResmanPostInputMoveInDate

The move-in date associated with the applicant

### V1ApplicationsResmanPostInputOtherOccupantsItems

- `first_name` (string, required) — The first name associated with the occupant
- `last_name` (string, required) — The last name associated with the occupant
- `email_1` (string, optional) — The primary email address associated with the occupant
- `phone_1` (string, optional) — Primary phone number associated with the occupant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the occupant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `address_1` (string, optional) — The first address line associated with the occupant
- `address_2` (string, optional) — The second address line associated with the occupant
- `city` (string, optional) — The city associated with the occupant
- `state` (string, optional) — The state associated with the occupant
- `zip` (string, optional) — The zip code associated with the occupant
- `date_of_birth` (V1ApplicationsResmanPostInputOtherOccupantsItemsDateOfBirth, optional) — The date of birth associated with the occupant
- `move_in_date` (V1ApplicationsResmanPostInputOtherOccupantsItemsMoveInDate, optional) — The move-in date associated with the lease
- `rent_amount_in_cents` (integer, optional) — The market rent amount in cents for the lease

### V1ApplicationsResmanPostInputEmergencyContactsItems

- `first_name` (string, required) — The first name of the emergency contact
- `last_name` (string, required) — The last name of the emergency contact
- `relationship` (string, required) — The relationship of the emergency contact to the applicant
- `address_1` (string, optional) — The first line of the address of the emergency contact
- `city` (string, optional) — The city of the address of the emergency contact
- `state` (string, optional) — The state of the address of the emergency contact
- `zip` (string, optional) — The zip code of the address of the emergency contact
- `country` (string, optional) — The country of the address of the emergency contact
- `phone_1` (string, optional) — The phone number of the emergency contact

### V1ApplicationsResmanPostInputEmploymentHistoryItems

- `name` (string, required) — The name of the employer
- `income_in_cents` (integer, required) — The income of the applicant at this employer in cents
- `frequency` (enum, required) — The frequency of the income.
  - Allowed values: `WEEKLY`, `BI_WEEKLY`, `SEMI_MONTHLY`, `MONTHLY`, `YEARLY`
- `start_date` (V1ApplicationsResmanPostInputEmploymentHistoryItemsStartDate, required) — The start date of the applicant's employment at this employer
- `end_date` (V1ApplicationsResmanPostInputEmploymentHistoryItemsEndDate, optional) — The end date of the applicant's employment at this employer
- `position` (string, optional) — The position held at this employer, or the job description of the applicant
- `address_1` (string, optional) — The first line of the address of the employer
- `city` (string, optional) — The city of the address of the employer
- `state` (string, optional) — The state of the address of the employer
- `zip` (string, optional) — The zip code of the address of the employer
- `country` (string, optional) — The country of the address of the employer
- `supervisor_first_name` (string, optional) — The first name of the applicant's supervisor at this employer
- `supervisor_last_name` (string, optional) — The last name of the applicant's supervisor at this employer
- `supervisor_phone` (string, optional) — The phone number of the applicant's supervisor

### V1ApplicationsResmanPostInputVehiclesItems

- `make` (string, required) — The make of the vehicle
- `model` (string, required) — The model of the vehicle
- `color` (string, required) — The color of the vehicle
- `license_plate_number` (string, required) — The license plate number of the vehicle
- `license_plate_state` (string, required) — The issuing state of the license plate
- `permit_number` (string, optional) — The permit number of the vehicle

### V1ApplicationsResmanPostInputPetsItems

- `type` (string, required) — The type associated with the applicant pet. Note: This must match one of the pet types from the pick list in Resman
- `name` (string, required) — The name associated with the applicant pet
- `weight_in_pounds` (integer, required) — The weight in pounds of the applicant pet

### V1ApplicationsResmanPostOutputMeta

- `job_id` (string, required)

### V1ApplicationsResmanPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `lead_source_id` (string, required) — The Propexo unique identifier for the lead source
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `application_date` (V1ApplicationsResmanPostOutputResultApplicationDate, required, nullable)
- `start_date` (V1ApplicationsResmanPostOutputResultStartDate, required, nullable)
- `end_date` (V1ApplicationsResmanPostOutputResultEndDate, required, nullable)
- `status` (enum, required) — The status associated with the application
  - Allowed values: `PENDING`, `APPROVED`, `CANCELED`, `DENIED`, `SIGNED`
- `first_name` (string, required) — The first name associated with the applicant
- `last_name` (string, required) — The last name associated with the applicant
- `email_1` (string, required, nullable) — The primary email address associated with the applicant
- `phone_1` (string, required, nullable) — Primary phone number associated with the applicant
- `phone_1_type` (enum, required) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, required) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `date_of_birth` (V1ApplicationsResmanPostOutputResultDateOfBirth, required, nullable) — The date of birth associated with the applicant
- `address_1` (string, required, nullable) — The first address line associated with the applicant
- `address_2` (string, required, nullable) — The second address line associated with the applicant
- `city` (string, required, nullable) — The city associated with the applicant
- `state` (string, required, nullable) — The state associated with the applicant
- `zip` (string, required, nullable) — The zip code associated with the applicant
- `notes` (string, required, nullable) — Notes associated with the applicant
- `move_in_date` (V1ApplicationsResmanPostOutputResultMoveInDate, required, nullable) — The move-in date associated with the applicant
- `rent_amount_in_cents` (integer, required, nullable) — The rent amount in cents for the applicant
- `desired_lease_term_in_months` (double, required, nullable) — The amount of months for the lease term
- `floor_plan_id` (string, required, nullable) — The Propexo unique identifier for the floor plan
- `other_occupants` (list of V1ApplicationsResmanPostOutputResultOtherOccupantsItems, optional, nullable)
- `emergency_contacts` (list of V1ApplicationsResmanPostOutputResultEmergencyContactsItems, optional) — A list of emergency contacts for the applicant. Note: This will only be added to the primary applicant on the application.
- `employment_history` (list of V1ApplicationsResmanPostOutputResultEmploymentHistoryItems, optional) — The employment history of the applicant. Note: This will only be added to the primary applicant on the application. Only entries with both income_in_cents and frequency will be included.
- `vehicles` (list of V1ApplicationsResmanPostOutputResultVehiclesItems, optional) — A list of vehicles for the application
- `pets` (list of V1ApplicationsResmanPostOutputResultPetsItems, optional) — A list of applicant pets

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ApplicationsResmanPostInputOtherOccupantsItemsDateOfBirth

The date of birth associated with the occupant

### V1ApplicationsResmanPostInputOtherOccupantsItemsMoveInDate

The move-in date associated with the lease

### V1ApplicationsResmanPostInputEmploymentHistoryItemsStartDate

The start date of the applicant's employment at this employer

### V1ApplicationsResmanPostInputEmploymentHistoryItemsEndDate

The end date of the applicant's employment at this employer

### V1ApplicationsResmanPostOutputResultApplicationDate

### V1ApplicationsResmanPostOutputResultStartDate

### V1ApplicationsResmanPostOutputResultEndDate

### V1ApplicationsResmanPostOutputResultDateOfBirth

The date of birth associated with the applicant

### V1ApplicationsResmanPostOutputResultMoveInDate

The move-in date associated with the applicant

### V1ApplicationsResmanPostOutputResultOtherOccupantsItems

- `first_name` (string, required) — The first name associated with the occupant
- `last_name` (string, required) — The last name associated with the occupant
- `email_1` (string, optional) — The primary email address associated with the occupant
- `phone_1` (string, optional) — Primary phone number associated with the occupant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the occupant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `address_1` (string, optional) — The first address line associated with the occupant
- `address_2` (string, optional) — The second address line associated with the occupant
- `city` (string, optional) — The city associated with the occupant
- `state` (string, optional) — The state associated with the occupant
- `zip` (string, optional) — The zip code associated with the occupant
- `date_of_birth` (V1ApplicationsResmanPostOutputResultOtherOccupantsItemsDateOfBirth, optional) — The date of birth associated with the occupant
- `move_in_date` (V1ApplicationsResmanPostOutputResultOtherOccupantsItemsMoveInDate, optional) — The move-in date associated with the lease
- `rent_amount_in_cents` (integer, optional) — The market rent amount in cents for the lease

### V1ApplicationsResmanPostOutputResultEmergencyContactsItems

- `first_name` (string, required) — The first name of the emergency contact
- `last_name` (string, required) — The last name of the emergency contact
- `relationship` (string, required) — The relationship of the emergency contact to the applicant
- `address_1` (string, optional) — The first line of the address of the emergency contact
- `city` (string, optional) — The city of the address of the emergency contact
- `state` (string, optional) — The state of the address of the emergency contact
- `zip` (string, optional) — The zip code of the address of the emergency contact
- `country` (string, optional) — The country of the address of the emergency contact
- `phone_1` (string, optional) — The phone number of the emergency contact

### V1ApplicationsResmanPostOutputResultEmploymentHistoryItems

- `name` (string, required) — The name of the employer
- `income_in_cents` (integer, required) — The income of the applicant at this employer in cents
- `frequency` (enum, required) — The frequency of the income.
  - Allowed values: `WEEKLY`, `BI_WEEKLY`, `SEMI_MONTHLY`, `MONTHLY`, `YEARLY`
- `start_date` (V1ApplicationsResmanPostOutputResultEmploymentHistoryItemsStartDate, required) — The start date of the applicant's employment at this employer
- `end_date` (V1ApplicationsResmanPostOutputResultEmploymentHistoryItemsEndDate, optional) — The end date of the applicant's employment at this employer
- `position` (string, optional) — The position held at this employer, or the job description of the applicant
- `address_1` (string, optional) — The first line of the address of the employer
- `city` (string, optional) — The city of the address of the employer
- `state` (string, optional) — The state of the address of the employer
- `zip` (string, optional) — The zip code of the address of the employer
- `country` (string, optional) — The country of the address of the employer
- `supervisor_first_name` (string, optional) — The first name of the applicant's supervisor at this employer
- `supervisor_last_name` (string, optional) — The last name of the applicant's supervisor at this employer
- `supervisor_phone` (string, optional) — The phone number of the applicant's supervisor

### V1ApplicationsResmanPostOutputResultVehiclesItems

- `make` (string, required) — The make of the vehicle
- `model` (string, required) — The model of the vehicle
- `color` (string, required) — The color of the vehicle
- `license_plate_number` (string, required) — The license plate number of the vehicle
- `license_plate_state` (string, required) — The issuing state of the license plate
- `permit_number` (string, optional) — The permit number of the vehicle

### V1ApplicationsResmanPostOutputResultPetsItems

- `type` (string, required) — The type associated with the applicant pet. Note: This must match one of the pet types from the pick list in Resman
- `name` (string, required) — The name associated with the applicant pet
- `weight_in_pounds` (integer, required) — The weight in pounds of the applicant pet

### V1ApplicationsResmanPostOutputResultOtherOccupantsItemsDateOfBirth

The date of birth associated with the occupant

### V1ApplicationsResmanPostOutputResultOtherOccupantsItemsMoveInDate

The move-in date associated with the lease

### V1ApplicationsResmanPostOutputResultEmploymentHistoryItemsStartDate

The start date of the applicant's employment at this employer

### V1ApplicationsResmanPostOutputResultEmploymentHistoryItemsEndDate

The end date of the applicant's employment at this employer

## Examples

**Request**

```json
{
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789",
  "unit_id": "unit-101",
  "lead_source_id": "leadsrc-55555",
  "employee_id": "emp-2023",
  "application_date": "2024-04-10T14:00:00Z",
  "start_date": "2024-05-01",
  "end_date": "2025-04-30",
  "status": "PENDING",
  "first_name": "Emily",
  "last_name": "Johnson"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-abc123xyz"
  },
  "result": {
    "integration_id": "intg-987654321",
    "property_id": "prop-123456789",
    "unit_id": "unit-101",
    "lead_source_id": "leadsrc-55555",
    "employee_id": "emp-2023",
    "application_date": "2024-04-10T14:00:00Z",
    "start_date": "2024-05-01",
    "end_date": "2025-04-30",
    "status": "PENDING",
    "first_name": "Emily",
    "last_name": "Johnson",
    "email_1": "emily.johnson@example.com",
    "phone_1": "+1-555-123-4567",
    "phone_1_type": "MOBILE",
    "phone_2": "+1-555-765-4321",
    "phone_2_type": "WORK",
    "date_of_birth": "1990-07-15",
    "address_1": "123 Maple Street",
    "address_2": "Apt 4B",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "notes": "Applicant prefers a unit with a balcony.",
    "move_in_date": "2024-05-01",
    "rent_amount_in_cents": 120000,
    "desired_lease_term_in_months": 12,
    "floor_plan_id": "fp-2024-01",
    "other_occupants": [
      {
        "first_name": "Michael",
        "last_name": "Johnson",
        "email_1": "michael.johnson@example.com",
        "phone_1": "+1-555-234-5678",
        "phone_1_type": "MOBILE",
        "phone_2": "+1-555-876-5432",
        "phone_2_type": "HOME",
        "address_1": "123 Maple Street",
        "address_2": "Apt 4B",
        "city": "Springfield",
        "state": "IL",
        "zip": "62704",
        "date_of_birth": "1988-03-22",
        "move_in_date": "2024-05-01",
        "rent_amount_in_cents": 0
      }
    ],
    "emergency_contacts": [
      {
        "first_name": "Sarah",
        "last_name": "Williams",
        "relationship": "Sister",
        "address_1": "456 Oak Avenue",
        "city": "Springfield",
        "state": "IL",
        "zip": "62705",
        "country": "USA",
        "phone_1": "+1-555-345-6789"
      }
    ],
    "employment_history": [
      {
        "name": "Tech Solutions Inc.",
        "income_in_cents": 8500000,
        "frequency": "MONTHLY",
        "start_date": "2018-06-01",
        "end_date": "2024-03-31",
        "position": "Software Engineer",
        "address_1": "789 Innovation Drive",
        "city": "Springfield",
        "state": "IL",
        "zip": "62706",
        "country": "USA",
        "supervisor_first_name": "John",
        "supervisor_last_name": "Doe",
        "supervisor_phone": "+1-555-456-7890"
      }
    ],
    "vehicles": [
      {
        "make": "Toyota",
        "model": "Camry",
        "color": "Blue",
        "license_plate_number": "ABC1234",
        "license_plate_state": "IL",
        "permit_number": "P-789456"
      }
    ],
    "pets": [
      {
        "type": "Dog",
        "name": "Buddy",
        "weight_in_pounds": 45
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applications/resman/"

payload = {
    "integration_id": "intg-987654321",
    "property_id": "prop-123456789",
    "unit_id": "unit-101",
    "lead_source_id": "leadsrc-55555",
    "employee_id": "emp-2023",
    "application_date": "2024-04-10T14:00:00Z",
    "start_date": "2024-05-01",
    "end_date": "2025-04-30",
    "status": "PENDING",
    "first_name": "Emily",
    "last_name": "Johnson"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applications/resman/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-987654321","property_id":"prop-123456789","unit_id":"unit-101","lead_source_id":"leadsrc-55555","employee_id":"emp-2023","application_date":"2024-04-10T14:00:00Z","start_date":"2024-05-01","end_date":"2025-04-30","status":"PENDING","first_name":"Emily","last_name":"Johnson"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applications/resman/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"unit_id\": \"unit-101\",\n  \"lead_source_id\": \"leadsrc-55555\",\n  \"employee_id\": \"emp-2023\",\n  \"application_date\": \"2024-04-10T14:00:00Z\",\n  \"start_date\": \"2024-05-01\",\n  \"end_date\": \"2025-04-30\",\n  \"status\": \"PENDING\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applications/resman/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"unit_id\": \"unit-101\",\n  \"lead_source_id\": \"leadsrc-55555\",\n  \"employee_id\": \"emp-2023\",\n  \"application_date\": \"2024-04-10T14:00:00Z\",\n  \"start_date\": \"2024-05-01\",\n  \"end_date\": \"2025-04-30\",\n  \"status\": \"PENDING\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/applications/resman/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"unit_id\": \"unit-101\",\n  \"lead_source_id\": \"leadsrc-55555\",\n  \"employee_id\": \"emp-2023\",\n  \"application_date\": \"2024-04-10T14:00:00Z\",\n  \"start_date\": \"2024-05-01\",\n  \"end_date\": \"2025-04-30\",\n  \"status\": \"PENDING\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/applications/resman/', [
  'body' => '{
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789",
  "unit_id": "unit-101",
  "lead_source_id": "leadsrc-55555",
  "employee_id": "emp-2023",
  "application_date": "2024-04-10T14:00:00Z",
  "start_date": "2024-05-01",
  "end_date": "2025-04-30",
  "status": "PENDING",
  "first_name": "Emily",
  "last_name": "Johnson"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applications/resman/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"unit_id\": \"unit-101\",\n  \"lead_source_id\": \"leadsrc-55555\",\n  \"employee_id\": \"emp-2023\",\n  \"application_date\": \"2024-04-10T14:00:00Z\",\n  \"start_date\": \"2024-05-01\",\n  \"end_date\": \"2025-04-30\",\n  \"status\": \"PENDING\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789",
  "unit_id": "unit-101",
  "lead_source_id": "leadsrc-55555",
  "employee_id": "emp-2023",
  "application_date": "2024-04-10T14:00:00Z",
  "start_date": "2024-05-01",
  "end_date": "2025-04-30",
  "status": "PENDING",
  "first_name": "Emily",
  "last_name": "Johnson"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applications/resman/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```